Bug 225674 - Optimise DocumentIndex for indexer storing large number of small documents
Optimise DocumentIndex for indexer storing large number of small documents
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.3
All All
: P1 (vote)
: 7.3
Assigned To: Tomas Zezula
issues@editor
: 73_HR_FIX, PERFORMANCE
Depends on:
Blocks: 223776
  Show dependency treegraph
 
Reported: 2013-02-03 17:22 UTC by Tomas Zezula
Modified: 2013-02-18 09:05 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2013-02-03 17:22:03 UTC
Some indexers (eg JS) generate large number (millions) of small documents.
While the document is effective for storing per file data it was not designed for small amount of data.
Comment 1 Tomas Zezula 2013-02-03 17:32:14 UTC
Fixed jet-main 7af02bb28002
Comment 2 Petr Jiricka 2013-02-03 20:20:05 UTC
Thanks Tomas, so is this a performance improvement that will help bug 223776? Or is it not performance-related?

If it's performance-related, do you have an idea how much this will help? Should this be considered for 7.3 or not? Thanks.
Comment 3 Quality Engineering 2013-02-04 03:16:15 UTC
Integrated into 'main-golden', will be available in build *201302040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7af02bb28002
User: Tomas Zezula <tzezula@netbeans.org>
Log: #225674:Optimise DocumentIndex for indexer storing large number of small documents
Comment 4 Petr Jiricka 2013-02-04 09:16:13 UTC
As discussed offline, this is a P1 release stopper (required to improve performance issue 223776) that should be put into NB 7.3.
Comment 5 Tomas Zezula 2013-02-04 10:45:07 UTC
More improvements, jet main 9df22a1b4db6
Comment 6 Jan Lahoda 2013-02-04 13:04:50 UTC
I did not find any problem in the patches.
Comment 7 Tomas Zezula 2013-02-04 14:53:29 UTC
Also a fix of issue #225688 is needed, jet-main 8d78e624545d
Comment 8 Vladimir Riha 2013-02-04 16:03:58 UTC
After replacing patched JARs in RC2 I tried following in both PHP and JS based project:
- code completion, go to, refactoring, highlight occurrences, scanning of a bit more complex project (in total several thousands lines of JS + minified files) 

and no exceptions, completion offered expected results, everything seems to be OK.



Product Version: NetBeans IDE 7.3 RC2 (Build 201302032200)
Java: 1.7.0_13; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_13-b20
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; en_US (nb)
Comment 10 Quality Engineering 2013-02-05 12:08:50 UTC
Integrated into 'releases', will be available in build *201302050851* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/818cbf652955
User: Tomas Zezula <tzezula@netbeans.org>
Log: #225674:Optimise DocumentIndex for indexer storing large number of small documents
Comment 11 Quality Engineering 2013-02-05 12:37:12 UTC
Integrated into 'main-golden', will be available in build *201302050917* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9df22a1b4db6
User: Tomas Zezula <tzezula@netbeans.org>
Log: #225674:Optimise DocumentIndex for indexer storing large number of small documents
Comment 12 Vladimir Riha 2013-02-18 09:05:45 UTC
No issue found => verified


Product Version: NetBeans IDE 7.3 (Build 201302132200)
Java: 1.7.0_15; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_15-b02
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo